org.keycloak.authorization.protection.resource

## Class UmaResourceRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.authorization.ResourceRepresentation
  - - org.keycloak.authorization.protection.resource.UmaResourceRepresentation

-     public class UmaResourceRepresentation
      extends ResourceRepresentation

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UmaResourceRepresentation()`
    `UmaResourceRepresentation(Resource resource)`
    `UmaResourceRepresentation(ResourceRepresentation resource)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<ScopeRepresentation>` | `getScopes()`
    `void` | `setScopes(Set<ScopeRepresentation> scopes)`

    - ### Methods inherited from class org.keycloak.representations.idm.authorization.ResourceRepresentation

      `addScope, addScope, equals, getAttributes, getDisplayName, getIconUri, getId, getName, getOwner, getOwnerManagedAccess, getType, getUri, getUris, hashCode, setAttributes, setDisplayName, setIconUri, setId, setName, setOwner, setOwner, setOwnerManagedAccess, setType, setUri, setUris`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UmaResourceRepresentation

          public UmaResourceRepresentation()

    - #### UmaResourceRepresentation

          public UmaResourceRepresentation(ResourceRepresentation resource)

    - #### UmaResourceRepresentation

          public UmaResourceRepresentation(Resource resource)

  - ### Method Detail

    - #### getScopes

          public Set<ScopeRepresentation> getScopes()

      Overrides:
        `getScopes` in class `ResourceRepresentation`

    - #### setScopes

          public void setScopes(Set<ScopeRepresentation> scopes)

      Overrides:
        `setScopes` in class `ResourceRepresentation`

Copyright © 2020 JBoss by Red Hat. All rights reserved.